---
title: {{toPascalCase name}}
description: Componente {{toPascalCase name}}
---

{/* Componentes React */}
import CustomSandpack from '@site/src/components/CustomSandpack';

{/* Seções */}
import Dependencies from '../stencil-generated-docs/{{name}}/dependencies.md';
import Deprecation from '../stencil-generated-docs/{{name}}/deprecation.md';
import Events from '../stencil-generated-docs/{{name}}/events.md';
import Methods from '../stencil-generated-docs/{{name}}/methods.md';
import Migrate from '../stencil-generated-docs/{{name}}/sections/migrate.md';
import Overview from '../stencil-generated-docs/{{name}}/overview.md';
import Parts from '../stencil-generated-docs/{{name}}/parts.md';
import Props from '../stencil-generated-docs/{{name}}/props.md';
import Slots from '../stencil-generated-docs/{{name}}/slots.md';
import Styles from '../stencil-generated-docs/{{name}}/styles.md';

{{#if examples}}
{/* Exemplos */}
{{#each (splitAndPascal examples)}}
import {{this}} from '!!raw-loader!../stencil-generated-docs/{{../name}}/examples/{{toKebabCase this}}.html';
{{/each}}

{/* Javascript */}
import javascript from '!!raw-loader!../stencil-generated-docs/{{name}}/examples/index.js'
{{/if}}

<Overview />
<Props />
<Events />
<Methods />

{{#if examples}}
## Exemplos

{{#each (splitAndPascal examples)}}
<CustomSandpack htmlCode={{jsxCurlyBrace this}} jsCode={javascript} title="{{this}}" />
{{/each}}
{{/if}}

<Parts />
<Slots />
<Styles />
<Dependencies />
<Migrate />
